<template>
    <div class="default-main">
        <TableHeader select :showReset="false"  showExport ref="TableHeaderRef"></TableHeader>
        <Table ref="tableRef" />
    </div>
</template>
<script setup lang="ts">
import { ref, onMounted, provide, nextTick } from 'vue'
import TableStore from '@/utils/tableStore'
import Table from '@/components/table/index.vue'
import TableHeader from '@/components/table/header/index.vue'
defineOptions({
    name: 'BusinessAdministrator/Audit/Operations/onlineUsers'
})

const formTabRef = ref()
const TableHeaderRef = ref()
const show = ref(false)
const tableStore: any = new TableStore({
    url: '/system-boot/audit/getOnlineUsers',
    method: 'POST',
    column: [
        // {
        //     field: 'index',
        //     title: '序号',
        //     width: '80',
        //     formatter: (row: any) => {
        //         return (tableStore.table.params.pageNum - 1) * tableStore.table.params.pageSize + row.rowIndex + 1
        //     }
        // },
        { field: 'name', title: '昵称' },
        { field: 'loginName', title: '登录名' },
        {
            field: 'phone',
            title: '手机号',
            formatter(row: any) {
                return row.phone ? row.phone : '/'
            }
        },
        { field: 'time', title: '登录过期时间' },
        {
            field: 'status',
            title: '状态',
            formatter(row: any) {
                return row.status ? row.status : '在线'
            }
        }
    ]
})

provide('tableStore', tableStore)
onMounted(() => {
    tableStore.index()
})
</script>
